Subject: bug#15945: closed (Re: bug#15945: chown: Does now allow setting user and users login group with numerical user ID)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Nov 2013 15:54:05 +0000

Your bug report

#15945: chown: Does now allow setting user and users login group with numerical user ID

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15945: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15945
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15945: chown: Does now allow setting user and users login group with numerical user ID
From: Eric Blake <[email-masked]>
To: Tormen <[email-masked]>, [email-masked]
Date: Thu, 21 Nov 2013 08:53:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 15945 notabug
thanks

On 11/21/2013 04:50 AM, Tormen wrote:

> 
> I think I just found a bug in chown... \o/ ;)
> 
> I tried:
> 	chown 1001: /tmp/bla
> 
> Leading to:
> 	chown: invalid spec: `1001:'

Drop the trailing colon.

> ... it should be a bug except if there is a technical detail I am
> missing here.

If you provide a colon, you MUST also provide a group spec.  Per 'chown
--help', the syntax is:
 chown [OPTION]...  [OWNER][:[GROUP]] FILE...
so these are valid:
 chown 1001 /tmp/bla        # change owner only
 chown :1001 /tmp/bla       # change group only
 chown 1001:1001 /tmp/bla   # change both
but this is invalid:
 chown 1001: /tmp/bla       # '' is not a valid group

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: chown: Does now allow setting user and users login group with numerical user ID
From: Tormen <[email-masked]>
To: [email-masked]
Date: Thu, 21 Nov 2013 12:50:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Gnu Team,

First off: Thanks for existing!! :)))

I think I just found a bug in chown... \o/ ;)

Details about my GNU/Linux system:
	Debian wheezy stable 7.2

	dpkg -S /bin/chown
	coreutils: /bin/chown

	dpkg -l|grep coreutils
	ii  coreutils      8.13-3.5    amd64   GNU core utilities

	uname -a
	Linux seven 3.10-0.bpo.3-amd64 #1 SMP Debian 3.10.11-1~bpo70+1
(2013-09-24) x86_64 GNU/Linux

	echo $SHELL
	/bin/zsh

I tried:
	chown 1001: /tmp/bla

Leading to:
	chown: invalid spec: `1001:'

But as 1001 == "me", it should have done a:
	chown me: /tmp/bla
(which works just fine).

Is this a bug or a feature ?

... it should be a bug except if there is a technical detail I am
missing here.

Best,

Tormen